%global uuid com.github.aggalex.%{name}
%define _metainfodir /usr/share/metainfo 

Name:           wineglass
Version:        1.2.1
Release:        %mkrel 2
Summary:        GUI for Wine
License:        GPLv3+
URL:            https://github.com/aggalex/Wineglass
Group:        Emulators
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:         %{name}-show-in-menu.patch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  cmake
BuildRequires:  appstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       hicolor-icon-theme
Requires:       winetricks

%description
Wineglass is a small application that allows the user to manage their
wineprefixes easily and install windows programs without the need of the
terminal. It can:

  * Easily create and remove wineprefixes.
  * Install supported windows apps on their corresponding wineprefix.
  * Make installed apps available normally through the applications menu.
  * Provide an easy way to add windows libraries to wineprefixes through
    "winetricks".
  * Configure wine.
  * run winprefix-specific system apps.

This app is useful for running windows apps and games easily without hassle.


%prep
%setup -n Wineglass-%{version}
%apply_patches

%build
%meson
%meson_build


%install
%meson_install
%find_lang %{uuid}

# Remove HiDPI dupes
rm -r %{buildroot}%{_datadir}/icons/hicolor/*@2/


%files -f %{uuid}.lang
%attr(0755,root,root) %{_bindir}/%{uuid}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.xml


%changelog
* Tue Nov 16 2021 tex - 1.2.1-2pclos2021
- add rpm group Emulators
- convert source to tar.xz
- drop check in spec
- drop recommends as we dont have it in our rpm

* Tue Nov 16 2021 yodelu - 1.2.1-1pclos2021
- import
